# -*- python -*-
# $RCSfile: panedlogger.py,v $
# $Revision: 1.1 $
# $Author: langer $
# $Date: 2007-08-14 18:45:33 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

import gtk
import widgetlogger

## To log the changes in a Paned's divider position, connect (with
## connect_passive, probably) to its 'notify::position' signal.

class PanedLogger(widgetlogger.WidgetLogger):
    classes = (gtk.Paned,)
    def record(self, object, signal, *args):
        if signal == 'notify::position':
            return ["%s.set_position(%d)" % (self.location(object, *args),
                                             object.get_position())]
        return super(PanedLogger, self).record(object, signal, args)
